{
  description = "Reproduction of lix build failure";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
    nixos-hardware.url = "github:NixOS/nixos-hardware";

    lix-module.url = "https://git.lix.systems/lix-project/nixos-module/archive/2.90.0.tar.gz";
    lix-module.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = inputs@{ self, nixpkgs, lix-module, nixos-hardware, ... }: {

    nixosConfigurations = {
      pi = nixpkgs.lib.nixosSystem {
        modules = [
          lix-module.nixosModules.default
          nixos-hardware.nixosModules.raspberry-pi-4
          "${nixpkgs}/nixos/modules/installer/sd-card/sd-image-aarch64.nix"
          ./configuration.nix
        ];
        specialArgs = {
          inherit inputs;
        };
      };
    };
  };
}
